CurvedDimensionOrthogonal Constructor (ViewBase, Point, Point, Point, Point, Point, Double) |
Creates a new curved dimension with orthogonal reference lines
using default attributes.
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
public CurvedDimensionOrthogonal( ViewBase View, Point ArcPoint1, Point ArcPoint2, Point ArcPoint3, Point StartPoint, Point EndPoint, double Distance )
Parameters
- View
- Type: Tekla.Structures.DrawingViewBase
The view to be used. - ArcPoint1
- Type: Tekla.Structures.Geometry3dPoint
The first arc point to be used. - ArcPoint2
- Type: Tekla.Structures.Geometry3dPoint
The second arc point to be used. - ArcPoint3
- Type: Tekla.Structures.Geometry3dPoint
The third arc point to be used. - StartPoint
- Type: Tekla.Structures.Geometry3dPoint
The start point to be used. - EndPoint
- Type: Tekla.Structures.Geometry3dPoint
The end point to be used. - Distance
- Type: SystemDouble
The distance in paper millimeters.
See Also